### Method

# Cogl Renderer set_driver

#### Declaration [src]

    void
    cogl_renderer_set_driver (
      CoglRenderer* renderer,
      CoglDriver driver
    )

#### Description [src]

Requests that Cogl should try to use a specific underlying driver for rendering.

If you select an unsupported driver then `cogl_renderer_connect()` will fail and report an error. Most applications should not explicitly select a driver and should rely on Cogl automatically choosing the driver.

This may only be called on an un-connected `CoglRenderer`.

#### Parameters

`driver`

  Type: `CoglDriver`

  No description available.